/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<accountemoticonmodel.h>)
#  include <accountemoticonmodel.h>
#endif
#if __has_include(<colorschemer.h>)
#  include <colorschemer.h>
#endif
#if __has_include(<devicesmodel.h>)
#  include <devicesmodel.h>
#endif
#if __has_include(<devicesproxymodel.h>)
#  include <devicesproxymodel.h>
#endif
#if __has_include(<emoticonfiltermodel.h>)
#  include <emoticonfiltermodel.h>
#endif
#if __has_include(<permissionsmodel.h>)
#  include <permissionsmodel.h>
#endif
#if __has_include(<pushrulemodel.h>)
#  include <pushrulemodel.h>
#endif
#if __has_include(<roomsortparametermodel.h>)
#  include <roomsortparametermodel.h>
#endif
#if __has_include(<threepidaddhelper.h>)
#  include <threepidaddhelper.h>
#endif
#if __has_include(<threepidbindhelper.h>)
#  include <threepidbindhelper.h>
#endif
#if __has_include(<threepidmodel.h>)
#  include <threepidmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_settings()
{
    qmlRegisterModule("org.kde.neochat.settings", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<AccountEmoticonModel>("org.kde.neochat.settings", 254);
    qmlRegisterTypesAndRevisions<ColorSchemer>("org.kde.neochat.settings", 254);
    qmlRegisterTypesAndRevisions<DevicesModel>("org.kde.neochat.settings", 254);
    qmlRegisterEnum<DevicesModel::Roles>("DevicesModel::Roles");
    qmlRegisterEnum<DevicesModel::DeviceType>("DevicesModel::DeviceType");
    qmlRegisterTypesAndRevisions<DevicesProxyModel>("org.kde.neochat.settings", 254);
    qmlRegisterTypesAndRevisions<EmoticonFilterModel>("org.kde.neochat.settings", 254);
    qmlRegisterTypesAndRevisions<PermissionsModel>("org.kde.neochat.settings", 254);
    qmlRegisterEnum<PermissionsModel::Roles>("PermissionsModel::Roles");
    qmlRegisterTypesAndRevisions<PushRuleModel>("org.kde.neochat.settings", 254);
    qmlRegisterEnum<PushRuleModel::EventRoles>("PushRuleModel::EventRoles");
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<RoomSortParameterModel>("org.kde.neochat.settings", 254);
    qmlRegisterEnum<RoomSortParameterModel::Roles>("RoomSortParameterModel::Roles");
    qmlRegisterTypesAndRevisions<ThreePIdAddHelper>("org.kde.neochat.settings", 254);
    qmlRegisterEnum<ThreePIdAddHelper::ThreePIdStatus>("ThreePIdAddHelper::ThreePIdStatus");
    qmlRegisterTypesAndRevisions<ThreePIdBindHelper>("org.kde.neochat.settings", 254);
    qmlRegisterEnum<ThreePIdBindHelper::ThreePIdStatus>("ThreePIdBindHelper::ThreePIdStatus");
    qmlRegisterTypesAndRevisions<ThreePIdModel>("org.kde.neochat.settings", 254);
    qmlRegisterEnum<ThreePIdModel::Roles>("ThreePIdModel::Roles");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.settings", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatsettingsRegistration("org.kde.neochat.settings", qml_register_types_org_kde_neochat_settings);
